VERSION 5.00
Begin VB.UserControl Seperator 
   BackStyle       =   0  'Transparent
   CanGetFocus     =   0   'False
   ClientHeight    =   135
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1275
   ScaleHeight     =   135
   ScaleWidth      =   1275
   ToolboxBitmap   =   "Seperator.ctx":0000
   Begin VB.Line Line2 
      BorderColor     =   &H00808080&
      X1              =   60
      X2              =   1260
      Y1              =   60
      Y2              =   60
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00C0C0C0&
      X1              =   60
      X2              =   1260
      Y1              =   45
      Y2              =   45
   End
End
Attribute VB_Name = "Seperator"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Default Property Values:
Const m_def_DarkColour = &H0&
Const m_def_LightColour = &HC0C0C0
Const m_def_Horizonthal = -1
'Property Variables:
Dim m_DarkColour As OLE_COLOR
Dim m_LightColour As OLE_COLOR
Dim m_Horizonthal As Boolean



Private Sub UserControl_Resize()
   
   If Horizonthal = True Then
      Line1.X1 = 0
      Line1.X2 = UserControl.Width
      Line1.Y1 = 0
      Line1.Y2 = 0
      
      Line2.X1 = 0
      Line2.X2 = UserControl.Width
      Line2.Y1 = 20
      Line2.Y2 = 20
      UserControl.Height = 40
   ElseIf Horizonthal = False Then
      Line1.X1 = 0
      Line1.X2 = 0
      Line1.Y1 = 0
      Line1.Y2 = UserControl.Height
      
      Line2.X1 = 20
      Line2.X2 = 20
      Line2.Y1 = 0
      Line2.Y2 = UserControl.Height
      UserControl.Width = 40
   End If
   
End Sub

Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
   Enabled = UserControl.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
   UserControl.Enabled() = New_Enabled
   PropertyChanged "Enabled"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=10,0,0,&H00000000&
Public Property Get DarkColour() As OLE_COLOR
   DarkColour = m_DarkColour
End Property

Public Property Let DarkColour(ByVal New_DarkColour As OLE_COLOR)
   m_DarkColour = New_DarkColour
   PropertyChanged "DarkColour"
   Line1.BorderColor = m_DarkColour
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=10,0,0,&H00C0C0C0&
Public Property Get LightColour() As OLE_COLOR
   LightColour = m_LightColour
End Property

Public Property Let LightColour(ByVal New_LightColour As OLE_COLOR)
   m_LightColour = New_LightColour
   PropertyChanged "LightColour"
   Line2.BorderColor = m_LightColour
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,-1
Public Property Get Horizonthal() As Boolean
   Horizonthal = m_Horizonthal
End Property

Public Property Let Horizonthal(ByVal New_Horizonthal As Boolean)
   m_Horizonthal = New_Horizonthal
   PropertyChanged "Horizonthal"
End Property

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
   m_DarkColour = m_def_DarkColour
   m_LightColour = m_def_LightColour
   m_Horizonthal = m_def_Horizonthal
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)

   UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
   m_DarkColour = PropBag.ReadProperty("DarkColour", m_def_DarkColour)
   m_LightColour = PropBag.ReadProperty("LightColour", m_def_LightColour)
   m_Horizonthal = PropBag.ReadProperty("Horizonthal", m_def_Horizonthal)
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)

   Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
   Call PropBag.WriteProperty("DarkColour", m_DarkColour, m_def_DarkColour)
   Call PropBag.WriteProperty("LightColour", m_LightColour, m_def_LightColour)
   Call PropBag.WriteProperty("Horizonthal", m_Horizonthal, m_def_Horizonthal)
End Sub

